/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package commands;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import business.Curso;
import dao.FacadeDAO;

/**
 * 
 * @author Carine
 */
public class CursoAlterar extends AbstractCommand {

	/** Método que processa o comando de alteração de um curso cadastrado */
	public void processarComando(HttpServletRequest request,
			HttpServletResponse response, HttpServlet servlet) {
		String id = request.getParameter("id");
		String nome = request.getParameter("nome");
		String grau = request.getParameter("grau");
		String cargaHoraria = request.getParameter("cargaHoraria");

		Curso c1 = new Curso();
		c1.setNome(nome);
		c1.setGrau(grau);
		c1.setCargaHoraria(Integer.parseInt(cargaHoraria));
		c1.setId(Integer.parseInt(id));

		String msg = FacadeDAO.getInstance(servlet).getCursoDAO().atualizaCurso(c1);

		List<Curso> cursos = new ArrayList<Curso>();
		cursos.add(c1);
		request.setAttribute("cursos", cursos);
		RequestDispatcher rd;
		if (msg != null)
			rd = request.getRequestDispatcher("cursoAlterar.jsp?mensagem="
					+ msg);
		else
			rd = request
					.getRequestDispatcher("cursoAlterar.jsp?mensagem=Curso Alterado com Sucesso!");
		try {
			rd.forward(request, response);
		} catch (ServletException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
